MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025445Open CASCADE[OCCT] OCCT:DRAWpublic2014-11-05 12:092014-11-12 09:55
Reporteroan 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025445: Draw command incmesh should support all parameters used in BRepMesh
DescriptionCurrently incmesh command supports linear deflection parameter only. This makes difficult reproduction of problems connected with specific values of other parameters.

It is necessary to introduce support for angular deflection and relative flag arguments. Additionally, it is necessary to implement it so it would be easy to add support for new parameters in further.
TagsNo tags attached.
Test case numberbugs demo(001) bug25445
Attached Files

- Relationships

-  Notes
(0034030)
git (administrator)
2014-11-05 12:35

Branch CR25445 has been created by oan.

SHA-1: 88411fc02065f78adfb3bafda21b9c9ae03cc38a


Detailed log of new commits:

Author: oan
Date: Wed Nov 5 12:35:58 2014 +0300

    0025445: Draw command incmesh should support all parameters used in BRepMesh
(0034031)
oan (developer)
2014-11-05 12:36
edited on: 2014-11-05 12:37

Branch CR25445 is ready to be reviewed.

(0034032)
git (administrator)
2014-11-05 12:44

Branch CR25445 has been updated by oan.

SHA-1: bf53963ca2411f2f07a439bb1191c8d016934d04


Detailed log of new commits:

Author: oan
Date: Wed Nov 5 12:45:13 2014 +0300

    Remove user break case unnecessary now.

(0034034)
git (administrator)
2014-11-05 12:58

Branch CR25445 has been deleted by oan.

SHA-1: bf53963ca2411f2f07a439bb1191c8d016934d04
(0034035)
git (administrator)
2014-11-05 13:03

Branch CR25445 has been created by oan.

SHA-1: 92c8fa225b5f72eaa32b0cfb3fc3302b16ddff98


Detailed log of new commits:

Author: oan
Date: Wed Nov 5 12:57:50 2014 +0300

    0025445: Draw command incmesh should support all parameters used in BRepMesh
(0034036)
abv (manager)
2014-11-05 13:08

No remarks, please test
(0034099)
git (administrator)
2014-11-06 13:35

Branch CR25445 has been updated by apv.

SHA-1: 94b4c3eece0e4036f47227b7b4ef452f0b129715


Detailed log of new commits:

Author: apv
Date: Thu Nov 6 13:35:19 2014 +0300

    Test-case for issue 0025445

(0034110)
apv (tester)
2014-11-06 15:46

Dear BugMaster,

Branch CR25445 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 92c8fa225b5f72eaa32b0cfb3fc3302b16ddff98

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs demo(001) bug25445 - OK
http://occt-tests/CR25445-master-occt/Debian60-64/bugs/demo/bug25445.html [^]
http://occt-tests/CR25445-master-occt/Windows-32-VC10/bugs/demo/bug25445.html [^]

Testing on Linux:
Total MEMORY difference: 373375008 / 373141836
Total CPU difference: 47087.43000000017 / 48561.76000000008

Testing on Windows:
Total MEMORY difference: 274714284 / 274441904
Total CPU difference: 36772.75 / 34083.171875
(0034349)
git (administrator)
2014-11-12 09:55

Branch CR25445 has been deleted by inv.

SHA-1: 94b4c3eece0e4036f47227b7b4ef452f0b129715

- Related Changesets
occt: master 49cfd13d
Timestamp: 2014-11-06 13:05:14
Author: oan
Committer: bugmaster
Details ] Diff ]
0025445: Draw command incmesh should support all parameters used in BRepMesh

Test-case for issue 0025445
mod - src/MeshTest/MeshTest.cxx Diff ] File ]
add - tests/bugs/demo/bug25445 Diff ] File ]
mod - tests/bugs/mesh/bug24968_1 Diff ] File ]
mod - tests/bugs/mesh/bug24968_2 Diff ] File ]
mod - tests/mesh/advanced_incmesh/begin Diff ] File ]
mod - tests/mesh/advanced_incmesh_parallel/begin Diff ] File ]
mod - tests/mesh/end Diff ] File ]
mod - tests/mesh/standard_incmesh/begin Diff ] File ]
mod - tests/mesh/standard_incmesh_parallel/begin Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-11-05 12:09 oan New Issue
2014-11-05 12:09 oan Assigned To => oan
2014-11-05 12:10 oan Status new => assigned
2014-11-05 12:35 git Note Added: 0034030
2014-11-05 12:36 oan Note Added: 0034031
2014-11-05 12:36 oan Assigned To oan => abv
2014-11-05 12:36 oan Status assigned => resolved
2014-11-05 12:37 oan Note Edited: 0034031 View Revisions
2014-11-05 12:44 git Note Added: 0034032
2014-11-05 12:58 git Note Added: 0034034
2014-11-05 13:03 git Note Added: 0034035
2014-11-05 13:08 abv Note Added: 0034036
2014-11-05 13:08 abv Assigned To abv => bugmaster
2014-11-05 13:08 abv Status resolved => reviewed
2014-11-05 18:14 mkv Assigned To bugmaster => apv
2014-11-06 13:35 git Note Added: 0034099
2014-11-06 13:36 apv Test case number => bugs demo(001) bug 25445
2014-11-06 13:36 apv Test case number bugs demo(001) bug 25445 => bugs demo(001) bug25445
2014-11-06 15:46 apv Note Added: 0034110
2014-11-06 15:46 apv Assigned To apv => bugmaster
2014-11-06 15:46 apv Status reviewed => tested
2014-11-06 16:15 bugmaster Changeset attached => occt master 49cfd13d
2014-11-06 16:15 bugmaster Status tested => verified
2014-11-06 16:15 bugmaster Resolution open => fixed
2014-11-11 12:42 aiv Fixed in Version => 6.8.0
2014-11-11 13:03 aiv Status verified => closed
2014-11-12 09:55 git Note Added: 0034349


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker